=== debian/changelog ===
xnedit (1.4.1-0.1~mx23+1) mx; urgency=medium

  * Rebuild new release for MX Linux.
  * Bump debhelper-compat to 12.
  * Disable the auto-install override, seems to be better.
  * d/control: add libpcre3-dev as BD.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 31 May 2023 14:05:40 -0700

xnedit (1.2.2-2) unstable; urgency=medium

  * lower debhelper to version 10 (for backwards compatibility)

 -- Rolf Pfeffertal <floss@tropf.io>  Sun, 16 May 2021 01:09:42 +0200

xnedit (1.2.2-1) unstable; urgency=medium

  * Initial release

 -- Rolf Pfeffertal <floss@tropf.io>  Sat, 15 May 2021 16:42:50 +0200
