## xnedit 1.5.0

=== Makefile ===
--- 
+++ 
@@ -72,7 +72,8 @@
 
 # On Cygwin, you can customize 'bin' and 'pkg' than run 'xnedit_pkg'
 cygwin-install: $(INSTALL_FILES)
-	@read -p "Cygwin: You can customize installation path in 'pkg'. ENTER to continue"
+	@echo "Cygwin: You can change installation path in 'resources/cygwin/xnedit_pkg:pkg'"
+	@read -p "ENTER to continue"
 	@cd resources/cygwin; ./xnedit_pkg
 
 #
