=== debian/control ===
Source: xnedit
Section: editors
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Rolf Pfeffertal <floss@tropf.io>
Build-Depends: bison,
               debhelper-compat (= 12),
               libfontconfig-dev,
               libmotif-dev,
               libpcre3-dev,
               libx11-dev,
               libxft-dev,
               libxpm-dev,
               libxrender-dev
Standards-Version: 4.5.1
Homepage: https://www.unixwork.de/xnedit/
Rules-Requires-Root: no

Package: xnedit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: fork of the original Nirvana Editor
 XNEdit is a multi-purpose text editor for the X Window System, which combines
 a standard, easy to use, graphical user interface with the thorough
 functionality and stability required by users who edit text eight hours a day.
 It provides intensive support for development in a wide variety of languages,
 text processors, and other tools, but at the same time can be used
 productively by just about anyone who needs to edit text.
